/*
    WT Toolkit - Web UI logic toolkit. Copyright (C) 2006 Kou Man Tong

    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/

/*
 * $Log: wt.css,v $
 * Revision 1.3  2007/03/27 20:37:40  francium
 * -Fixed: DOM nodes with wtDependency are not checked by the garbage collector
 *         correctly
 * -Added: wtGraph class
 *
 * Revision 1.2  2007/03/19 15:58:18  francium
 * -Added: wtColorSpace module, wtColor and wtColorGenerator classes
 * -Improved: Packaged deg2rad() and rad2deg() into the Math package
 *
 * Revision 1.1.1.1  2006/12/24 08:24:36  francium
 * -Initial import
 *
 * Revision 1.12  2006/12/15 15:07:04  francium
 * Fixed: DOM related memory leaks
 *
 */

body
{
	margin: 0px 0px 0px 0px;
	height: 100%;
}

.wtRoot
{
	font-family: Verdana;
	font-size: 12px;
}

.WindowBackground
{
	background-color: #635d80;
}

.WindowTitle
{
	background-color: #635d80;
	padding: 2px;
	text-align: center;
	color: white;
}

.WindowContent
{
	background-color: white;
}

.WindowClose 
{
	background-color:#635D80;
	color:white;
	cursor:pointer;
	padding:2px;
	text-align:center;
}

.wtButton
{
	font-family: Tahoma;
	font-weight: bold;
	font-size: 10px;
	width: auto;
}

.wtAnchor
{
	text-decoration: none;
	font-weight: bold;
	cursor: pointer;
}

.AnchorInactive
{
	color: navy;
}

.AnchorActive
{
	background-color: #cccccc;
	color: navy;
}

.AnchorSelected
{
	background-color: navy;
	color: white;
}

.wtDisplay
{
	background-color: #eeeeee;
}

.DisplayTitle
{
	font-weight: bold;
	background-color: #c3c3c3;
	padding: 2px;
}

.DisplayCaption
{
	background-color: #dedef6;
	padding: 2px;
	width: 25%;
}

.DisplayContent
{
	background-color: white;
	padding: 2px;
	width: auto;
}

.DisplaySubtitleInactive
{
	background-color: #dedef6;
	padding: 2px;
	font-weight: bold;
	text-align: center;
	font-size: 11px;
}

.DisplaySubtitleActive
{
	background-color: #9ff59f;
	padding: 2px;
	font-weight: bold;
	text-align: center;
	font-size: 11px;
}

.DisplaySubtitleSorted
{
	background-color: #bebef6;
	padding: 2px;
	font-weight: bold;
	text-align: center;
	font-size: 11px;
}

.wtSingleLineTextInput
{
	font-size: 11px;
	border: #505050 solid 1px;
}

.wtMultiLineTextInput
{
	font-size: 11px;
	border: #505050 solid 1px;
}

.wtPasswordInput
{
	font-size: 11px;
	border: #505050 solid 1px;
}

.wtCheckBoxLabelInactive
{
	cursor: default;
	background-color: transparent;
}

.wtCheckBoxLabelActive
{
	cursor: default;
	background-color: #cecece;
}

.wtRadioLabelInactive
{
	cursor: default;
	background-color: transparent;
}

.wtRadioLabelActive
{
	cursor: default;
	background-color: #cecece;
}

.wtSpreadSheetCellInactive
{
	background-color: white;
}

.wtSpreadSheetCellActive
{
	cursor: crosshair;
	background-color: #ffffaa;
}

.PopupItemInactive
{
	background-color: white;
	color: navy;
	font-size: 11px;
	font-weight: bold;
	cursor: pointer;
	padding: 2px;
}

.PopupItemActive
{
	background-color: navy;
	color: white;
	font-size: 11px;
	font-weight: bold;
	cursor: pointer;
	padding: 2px;
}

.wtPopupMenu
{
	background-color: black;
}

.wtTextBlockContent
{
	background-color: white;
}

.TabTitle
{
	font-weight: bold;
	cursor: default;
}

.TabView
{
	/*border: black solid 2px;*/
}

.wtRowSpacerCell
{
	font-size: 0px;
}

.wtTreeNode
{
	/*border: 1px green solid;*/
}

.wtPopupTextboxIdle
{
	border: none;
	background-color: transparent;
}

.wtPopupTextboxHighlighted
{
	border: none;
	cursor: crosshair;
	background-color: #ffffaa;
}

.wtPopupTextboxActive
{
	border: #505050 solid 1px;
	font-size: 11px;
}